
#include <iostream>
#include <cmath>
#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "usb_drv.h"

unsigned char PortB = 0;

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindowClass)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_radioButton_pb0_clicked(bool checked)
{
    if (checked) {PortB |= 0x01; send_to_port(PortB);}
    else {PortB &= 0xFE; send_to_port(PortB);}
}

void MainWindow::on_checkBox_pb4_clicked(bool checked)
{
  if (checked) {PortB |= 0x10; send_to_port(PortB);}
    else {PortB &= 0xEF; send_to_port(PortB);}
}
void MainWindow::on_checkBox_pb5_clicked(bool checked)
{
  if (checked) {PortB |= 0x20; send_to_port(PortB);}
    else {PortB &= 0xDF; send_to_port(PortB);}
}
void MainWindow::on_checkBox_pb6_clicked(bool checked)
{
  if (checked) {PortB |= 0x40; send_to_port(PortB);}
    else {PortB &= 0xBF; send_to_port(PortB);}
}
void MainWindow::on_checkBox_pb7_clicked(bool checked)
{
  if (checked) {PortB |= 0x80; send_to_port(PortB);}
    else {PortB &= 0x7F; send_to_port(PortB);}
}


void MainWindow::on_action_weigu_url_triggered()
{

}

void MainWindow::on_pb_get_more_adc_clicked()
{
  unsigned int adcsamples = 10;
  unsigned int wordbuff[adcsamples];
  get_from_adc(wordbuff, adcsamples);

  cout << wordbuff[1]<< wordbuff[2]<< wordbuff[3]<< wordbuff[4]<< wordbuff[5];
}

void MainWindow::on_pb_get_1_adc_clicked()
{
    quint16 adcval;
    qreal temperature;
    adcval = get_once_from_adc();
    ui->temp->display(adcval);
    // T = (b*TN)/b+ln(RH/RN)*TN; b = 4250; TN = 298.15 (25°C);
    // RH/RN = adcval*0.0025/1.65V (3.3V/2; Ref 2.56V, 10 Bit (1024)
    temperature = 0.94*((1267137.5/(4250+((log((adcval*0.0025)/1.65))*298.15)))-273.15);
    ui->temp2->display(temperature);
}




/*void MainWindow::on_lineEdit_returnPressed()
{
    QlineEdit txt_232.
}*/
